com.amazonaws.services.lambda.model

## Class ListEventSourceMappingsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.ListEventSourceMappingsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListEventSourceMappingsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListEventSourceMappingsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListEventSourceMappingsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getEventSourceArn()` The Amazon Resource Name (ARN) of the Amazon Kinesis stream.
`String` `getFunctionName()` The name of the Lambda function.
`String` `getMarker()` Optional string.
`Integer` `getMaxItems()` Optional integer.
`int` `hashCode()`
`void` `setEventSourceArn(String eventSourceArn)` The Amazon Resource Name (ARN) of the Amazon Kinesis stream.
`void` `setFunctionName(String functionName)` The name of the Lambda function.
`void` `setMarker(String marker)` Optional string.
`void` `setMaxItems(Integer maxItems)` Optional integer.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListEventSourceMappingsRequest` `withEventSourceArn(String eventSourceArn)` The Amazon Resource Name (ARN) of the Amazon Kinesis stream.
`ListEventSourceMappingsRequest` `withFunctionName(String functionName)` The name of the Lambda function.
`ListEventSourceMappingsRequest` `withMarker(String marker)` Optional string.
`ListEventSourceMappingsRequest` `withMaxItems(Integer maxItems)` Optional integer.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListEventSourceMappingsRequest

    public ListEventSourceMappingsRequest()

### Method Detail

#### setEventSourceArn

    public void setEventSourceArn(String eventSourceArn)

The Amazon Resource Name (ARN) of the Amazon Kinesis stream. (This parameter is optional.)

Parameters:
  `eventSourceArn` - The Amazon Resource Name (ARN) of the Amazon Kinesis stream. (This parameter is optional.)

#### getEventSourceArn

    public String getEventSourceArn()

The Amazon Resource Name (ARN) of the Amazon Kinesis stream. (This parameter is optional.)

Returns:
  The Amazon Resource Name (ARN) of the Amazon Kinesis stream. (This parameter is optional.)

#### withEventSourceArn

    public ListEventSourceMappingsRequest withEventSourceArn(String eventSourceArn)

The Amazon Resource Name (ARN) of the Amazon Kinesis stream. (This parameter is optional.)

Parameters:
  `eventSourceArn` - The Amazon Resource Name (ARN) of the Amazon Kinesis stream. (This parameter is optional.)
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFunctionName

    public void setFunctionName(String functionName)

The name of the Lambda function.

You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The name of the Lambda function.

  You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### getFunctionName

    public String getFunctionName()

The name of the Lambda function.

You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  The name of the Lambda function.

  You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### withFunctionName

    public ListEventSourceMappingsRequest withFunctionName(String functionName)

The name of the Lambda function.

You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The name of the Lambda function.

  You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMarker

    public void setMarker(String marker)

Optional string. An opaque pagination token returned from a previous `ListEventSourceMappings` operation. If present, specifies to continue the list from where the returning call left off.

Parameters:
  `marker` - Optional string. An opaque pagination token returned from a previous `ListEventSourceMappings` operation. If present, specifies to continue the list from where the returning call left off.

#### getMarker

    public String getMarker()

Optional string. An opaque pagination token returned from a previous `ListEventSourceMappings` operation. If present, specifies to continue the list from where the returning call left off.

Returns:
  Optional string. An opaque pagination token returned from a previous `ListEventSourceMappings` operation. If present, specifies to continue the list from where the returning call left off.

#### withMarker

    public ListEventSourceMappingsRequest withMarker(String marker)

Optional string. An opaque pagination token returned from a previous `ListEventSourceMappings` operation. If present, specifies to continue the list from where the returning call left off.

Parameters:
  `marker` - Optional string. An opaque pagination token returned from a previous `ListEventSourceMappings` operation. If present, specifies to continue the list from where the returning call left off.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxItems

    public void setMaxItems(Integer maxItems)

Optional integer. Specifies the maximum number of event sources to return in response. This value must be greater than 0.

Parameters:
  `maxItems` - Optional integer. Specifies the maximum number of event sources to return in response. This value must be greater than 0.

#### getMaxItems

    public Integer getMaxItems()

Optional integer. Specifies the maximum number of event sources to return in response. This value must be greater than 0.

Returns:
  Optional integer. Specifies the maximum number of event sources to return in response. This value must be greater than 0.

#### withMaxItems

    public ListEventSourceMappingsRequest withMaxItems(Integer maxItems)

Optional integer. Specifies the maximum number of event sources to return in response. This value must be greater than 0.

Parameters:
  `maxItems` - Optional integer. Specifies the maximum number of event sources to return in response. This value must be greater than 0.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListEventSourceMappingsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`